<?php
defined( 'ABSPATH' ) or die();

function intechno_fonts_url() {
    $fonts_url = '';

    $font_families = array();

    $font_families[] = 'PT+Serif+Caption';
    $font_families[] = 'PT+Serif:400,700';
    $font_families[] = 'Poppins:200,300,400,500,600,700,800';

    $query_args = array(
        'family' => urlencode( implode( '|', $font_families ) ),
    );

    $fonts_url = add_query_arg( $query_args, 'https://fonts.googleapis.com/css' );

    return esc_url_raw( $fonts_url );
}

/**
 * Enqueue scripts and styles.
*/
function intechno_scripts() {

    wp_enqueue_style( 'intechno-font', intechno_fonts_url(), array(), null );

    wp_enqueue_style( 'intechno-bootstrap', get_template_directory_uri() . '/assets/css/bootstrap.css');

    wp_enqueue_style( 'intechno-font-awesome', get_template_directory_uri(). '/assets/css/font-awesome/css/fontawesome-all-v5.3.1.css' );
    wp_enqueue_style( 'slicknav',   get_template_directory_uri() . '/assets/css/slicknav.css' );
    wp_enqueue_style( 'slick',   get_template_directory_uri() . '/assets/css/slick.css' );
    wp_enqueue_style( 'slicktheme',   get_template_directory_uri() . '/assets/css/slick-theme.css' );

    wp_enqueue_style( 'intechno-custom-style', get_template_directory_uri() . '/assets/css/custom-style.css');

    wp_enqueue_style( 'intechno-style', get_stylesheet_uri() );

    wp_enqueue_style( 'intechno-responsive', get_template_directory_uri() . '/assets/css/responsive.css' );

    wp_enqueue_script( 'intechno-bootstrap-js', get_template_directory_uri() .'/assets/js/bootstrap.js', array( 'jquery' ), true, true);    
    wp_enqueue_script( 'jquery-slicknav',  get_template_directory_uri() . '/assets/js/jquery.slicknav.js', array( 'jquery' ), true, true); 
    wp_enqueue_script( 'slick-js',         get_template_directory_uri() . '/assets/js/slick.js', array( 'jquery' ), true, true);

    wp_enqueue_script( 'intechno-custom-script', get_template_directory_uri() . '/assets/js/custom.js', array( 'jquery' ), true, true); 

    wp_enqueue_script( 'intechno-navigation', get_template_directory_uri() . '/assets/js/navigation.js',array( 'jquery' ), true, true);  

    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
        wp_enqueue_script( 'comment-reply' );
    }
}
add_action( 'wp_enqueue_scripts', 'intechno_scripts' );